- category: Tutorial
  name: SystemA
  persistence: true
  api_generation: true
  abstract: false
  attributes:
    local_fields:
      - field_name: name
        field_type: string
        field_persistence: true
        field_nullable: true
        field_immutable: false
        field_unique: false
      - field_name: description
        field_type: string
        field_persistence: true
        field_nullable: true
        field_immutable: false
        field_unique: false
    ref_fields: []
  methods:
    class_methods: []
    instance_methods: []
- category: Tutorial
  name: SystemB
  persistence: true
  api_generation: true
  abstract: false
  attributes:
    local_fields:
      - field_name: name
        field_type: string
        field_persistence: true
        field_nullable: true
        field_immutable: false
        field_unique: false
      - field_name: description
        field_type: string
        field_persistence: true
        field_nullable: true
        field_immutable: false
        field_unique: false
    ref_fields: []
  methods:
    class_methods: []
    instance_methods: []